package cn.com.lttc.myapplication

import android.os.Bundle
import android.view.View
import android.widget.Toast
import androidx.appcompat.app.AppCompatActivity
import cn.com.lttc.myapplication.databinding.ActivityMainBinding

class MainActivity : AppCompatActivity(), View.OnClickListener {

    private val tag: String = "ifu25"
    private lateinit var v: ActivityMainBinding

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        v = ActivityMainBinding.inflate(layoutInflater)
        setContentView(v.root)

        initView()
    }

    private fun initView() {
        v.tvMain.setOnClickListener(this)
    }

    override fun onClick(view: View?) {
        if (view!!.id == v.tvMain.id) {
            Toast.makeText(this, "好", Toast.LENGTH_SHORT).show()
        }
    }
}
